import type { BuilderBlock } from "../../types/builder-block.js";
import type { BuilderContextInterface } from "../../context/types.js";
import type { Breakpoints } from "../../types/builder-content.js";
declare type ComponentOptions = {
    [index: string]: any;
    customBreakpoints?: Breakpoints;
    attributes?: {
        [index: string]: any;
    };
};
export interface RenderComponentProps {
    componentRef: any;
    componentOptions: ComponentOptions;
    blockChildren: BuilderBlock[];
    context: BuilderContextInterface;
    customBreakpoints?: Breakpoints;
}
export declare const RenderComponent: (props: RenderComponentProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default RenderComponent;
